Write artifact files
curl --request PATCH \
--url https://api.magicpatterns.com/api/v3/designs/{editorId}/artifacts/{artifactId}/files \
--header 'Content-Type: application/json' \
--header 'x-mp-api-key: <api-key>' \
--data '
{
"files": [
{
"fileName": "App.tsx",
"code": "<string>"
}
]
}
'import requests
url = "https://api.magicpatterns.com/api/v3/designs/{editorId}/artifacts/{artifactId}/files"
payload = { "files": [
{
"fileName": "App.tsx",
"code": "<string>"
}
] }
headers = {
"x-mp-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-mp-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({files: [{fileName: 'App.tsx', code: '<string>'}]})
};
fetch('https://api.magicpatterns.com/api/v3/designs/{editorId}/artifacts/{artifactId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"files": [
"App.tsx",
"index.tsx",
"index.css"
]
}{
"error": "You do not have access to this resource."
}{
"error": "You do not have access to this resource."
}{
"error": "You do not have access to this resource."
}{
"error": "You do not have access to this resource."
}{
"error": "You do not have access to this resource."
}Artifacts
Write artifact files
Creates or overwrites one or more files in an artifact. Files that already exist are replaced; new files are appended. Files not mentioned in the request are left untouched.
This only updates source files — it does not compile or publish.
Call POST /v3/designs/{editorId}/artifacts/{artifactId}/publish when
you’re done with all file changes to compile and set the artifact
active.
PATCH
/
v3
/
designs
/
{editorId}
/
artifacts
/
{artifactId}
/
files
Write artifact files
Authorizations
Magic Patterns API key. The same key authenticates v3 REST and the MCP server. Create one at https://www.magicpatterns.com/settings/api-keys.
Path Parameters
The design's editor ID.
Example:
"abc123"
The artifact ID.
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Response
Updated. Response lists all file names in the artifact after the write.
Example:
["App.tsx", "index.tsx", "index.css"]Was this page helpful?
⌘I